<?php

function uredi_tekst($id, $domena, $putanja_file, $conn)
{
    //definiranje varijabli
	
    //$putanja_slike = $domena.'slike/sadrzaj/'; //putanja za slike
	$putanja_slike = 'slike/sadrzaj/'; //putanja za slike
	
	function display_sliku($klasa,$link,$new_win,$link,$big_ime,$putanja_slike,$thumb_ime,$thumb_sirina,$thumb_visina,$naslov) {		
		$tekst = '<div class="'.$klasa.'">'."\n";
		
		if ($link) {
			$tekst .= '<a href="'.$link.'"';
			if ($new_win==1) $tekst .= ' target=_blank"';
			$tekst .= '>';
		} else {
			if ($big_ime) {
				$tekst .= '<a href="'.$putanja_slike.$big_ime.'" rel="lightbox" class="lightbox" ';
				if ($naslov) $tekst .= 'title="'.$naslov.'" ';
				$tekst .= '>';
			}
		}
		
		if ($thumb_ime)	$tekst .= '<img src="'.$putanja_slike.$thumb_ime.'" width="'.$thumb_sirina.'" height="'.$thumb_visina.'" border="0" ';
		if ($naslov) $tekst .= 'alt="'.$naslov.'" ';
		if ($thumb_ime)	$tekst .= '/>';
		
		if (!$link) {
			if ($big_ime) $tekst .= '</a>';
		}
		
		if ($naslov) $tekst .= '<br /><span class="podnaslov">'.$naslov.'</span>'."\n";
		if ($link) $tekst .= '</a>';
		$tekst .= '</div>'."\n";
		return ($tekst);
	}
	
	
    $sql = "select fajl, naslov, maxpic, model, prikaznaslov from b7_paragraf where id_paragraf='$id'";
    $rez = mysql_query($sql, $conn);
    $row = mysql_fetch_array($rez);
    $fajl = $row["fajl"];
    $naslov = $row["naslov"];
    $maxpic = $row["maxpic"];
    $model = $row["model"];
    $prikaznaslov = $row["prikaznaslov"];

    switch ($model)
    {
        case '1':
            $tekst_novi = '<div class="paragraf_1">' . "\n"; // Slike gore
            break;
        case '2':
            $tekst_novi = '<div class="paragraf_2">' . "\n"; // Slike lijevo
            break;
        case '3':
            $tekst_novi = '<div class="paragraf_3">' . "\n"; // Slike desno
            break;
        case '4':
            $tekst_novi = '<div class="paragraf_4">' . "\n"; // Slike dolje
            break;
        case '5':
            $tekst_novi = '<div class="paragraf_5">' . "\n"; // Slika lijevo u tekstu i dolje
            break;
        default:
            $tekst_novi = '<div class="paragraf_6">' . "\n"; // Slika desno u tekstu i dolje
            break;
    }
	
	if ($prikaznaslov == '1') {
		$tekst_novi .= '<h2>' . $naslov . '</h2>' . "\n";
	}


    $sql = "select tekst from b7_paragraf_tekst where id_paragraf='$id'";
    $rez = mysql_query($sql, $conn);
    $row = mysql_fetch_array($rez);
    $tekst = $row["tekst"];
	
	$sql = "select * from b7_paragraf_slike where id_paragraf='$id' order by pozicija asc";
    $rez = mysql_query($sql, $conn);
    if ($rez) $num = mysql_num_rows($rez);
    if ($num > 0) {
		//ima slika
		switch ($model) {
		case '1':// Slike gore
			$cur = 0; 			
			$tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n";         
			while ($num > $cur) {
				$row = mysql_fetch_array($rez);
				$naslov = $row["naslov"];
				$link = $row["link"];
				$new_win = $row["new_win"];
				$thumb_ime = $row["thumb_ime"];
				$thumb_sirina = $row["thumb_sirina"];
				$thumb_visina = $row["thumb_visina"];
				$big_ime = $row["big_ime"];
				
				if ($maxpic>1) {				
					if ($cur%$maxpic==0 && $cur!=0) $tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n";
				} else {
					if ($cur!=0) $tekst_novi .= '<tr>'."\n";
				}
				$tekst_novi .= '<td>'."\n";
				$tekst_novi .= display_sliku('slika_gore',$link,$new_win,$link,$big_ime,$putanja_slike,$thumb_ime,$thumb_sirina,$thumb_visina,$naslov);
				$tekst_novi .= '</td>'."\n";
				
				//kraj
				if ($maxpic>1) {
					$brojac=$cur+1;
					if ($brojac%$maxpic==0) $tekst_novi .= '</tr></table>'."\n";
				} else {
					if ($cur+1<$num) $tekst_novi .= '</tr>'."\n";
				}				
				$cur++;				
			}
			//ako nije zatvorena tablica
			if ($maxpic>1) {
				if ($cur%$maxpic!=0) $tekst_novi .= '</tr></table>'."\n";
			} else {
				$tekst_novi .= '</tr></table>'."\n";
			}
			
			
			$tekst_novi .= '<div class="tekst">' . $tekst . '</div>' . "\n";
		break;
		case '2':// Slike lijevo
			$tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr><td valign="top">'."\n";
			$cur = 0;
			$tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n";			
            while ($num > $cur) {
				$row = mysql_fetch_array($rez);
				$naslov = $row["naslov"];
				$link = $row["link"];
				$new_win = $row["new_win"];
				$thumb_ime = $row["thumb_ime"];
				$thumb_sirina = $row["thumb_sirina"];
				$thumb_visina = $row["thumb_visina"];
				$big_ime = $row["big_ime"];
				
				if ($maxpic>1) {				
					if ($cur%$maxpic==0 && $cur!=0) $tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n";
				} else {
					if ($cur!=0) $tekst_novi .= '<tr>'."\n";
				}
				$tekst_novi .= '<td>'."\n";
				$tekst_novi .= display_sliku('slika_lijevo',$link,$new_win,$link,$big_ime,$putanja_slike,$thumb_ime,$thumb_sirina,$thumb_visina,$naslov);
				$tekst_novi .= '</td>'."\n";				
				//kraj
				if ($maxpic>1) {
					$brojac=$cur+1;
					if ($brojac%$maxpic==0) $tekst_novi .= '</tr></table>'."\n";
				} else {
					if ($cur+1<$num) $tekst_novi .= '</tr>'."\n";
				}			
				$cur++;				
			}
			//ako nije zatvorena tablica
			if ($maxpic>1) {
				if ($cur%$maxpic!=0) $tekst_novi .= '</tr></table>'."\n";
			} else {
				$tekst_novi .= '</tr></table>'."\n";
			}
			$tekst_novi .= '</td>'."\n";
			$tekst_novi .= '<td valign="top">'."\n";
			$tekst_novi .= '<div class="tekst">' . $tekst . '</div>' . "\n";
			$tekst_novi .= '</td></tr></table>'."\n";
		break;
		case '3':// Slike desno
			$tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr><td valign="top">'."\n";
			$tekst_novi .= '<div class="tekst">' . $tekst . '</div>' . "\n";
			$tekst_novi .= '</td>'."\n";
			$tekst_novi .= '<td valign="top">'."\n";
			$cur = 0;
			$tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n";
            while ($num > $cur) {
				$row = mysql_fetch_array($rez);
				$naslov = $row["naslov"];
				$link = $row["link"];
				$new_win = $row["new_win"];
				$thumb_ime = $row["thumb_ime"];
				$thumb_sirina = $row["thumb_sirina"];
				$thumb_visina = $row["thumb_visina"];
				$big_ime = $row["big_ime"];
				
				if ($maxpic>1) {				
					if ($cur%$maxpic==0 && $cur!=0) $tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n";
				} else {
					if ($cur!=0) $tekst_novi .= '<tr>'."\n";
				}
				$tekst_novi .= '<td>'."\n";
				$tekst_novi .= display_sliku('slika_desno',$link,$new_win,$link,$big_ime,$putanja_slike,$thumb_ime,$thumb_sirina,$thumb_visina,$naslov);
				$tekst_novi .= '</td>'."\n";
				//kraj
				if ($maxpic>1) {
					$brojac=$cur+1;
					if ($brojac%$maxpic==0) $tekst_novi .= '</tr></table>'."\n";
				} else {
					if ($cur+1<$num) $tekst_novi .= '</tr>'."\n";
				}				
				$cur++;				
			}
			//ako nije zatvorena tablica
			if ($maxpic>1) {
				if ($cur%$maxpic!=0) $tekst_novi .= '</tr></table>'."\n";
			} else {
				$tekst_novi .= '</tr></table>'."\n";
			}
			$tekst_novi .= '</td></tr></table>'."\n";
		break;
		case '4':// Slike dolje
			$cur = 0;
			$tekst_novi .= '<div class="tekst">' . $tekst . '</div>' . "\n";
			$tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n"; 
            while ($num > $cur) {
				$row = mysql_fetch_array($rez);
				$naslov = $row["naslov"];
				$link = $row["link"];
				$new_win = $row["new_win"];
				$thumb_ime = $row["thumb_ime"];
				$thumb_sirina = $row["thumb_sirina"];
				$thumb_visina = $row["thumb_visina"];
				$big_ime = $row["big_ime"];
				
				if ($maxpic>1) {				
					if ($cur%$maxpic==0 && $cur!=0) $tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n";
				} else {
					if ($cur!=0) $tekst_novi .= '<tr>'."\n";
				}
				$tekst_novi .= '<td>'."\n";
				$tekst_novi .= display_sliku('slika_dolje',$link,$new_win,$link,$big_ime,$putanja_slike,$thumb_ime,$thumb_sirina,$thumb_visina,$naslov);
				$tekst_novi .= '</td>'."\n";
				//kraj
				if ($maxpic>1) {
					$brojac=$cur+1;
					if ($brojac%$maxpic==0) $tekst_novi .= '</tr></table>'."\n";
				} else {
					if ($cur+1<$num) $tekst_novi .= '</tr>'."\n";
				}				
				$cur++;				
			}
			//ako nije zatvorena tablica
			if ($maxpic>1) {
				if ($cur%$maxpic!=0) $tekst_novi .= '</tr></table>'."\n";
			} else {
				$tekst_novi .= '</tr></table>'."\n";
			}
		break;
		case '5':// Slika lijevo u tekstu i dolje
			//prva slika
			$row = mysql_fetch_array($rez);
			$naslov = $row["naslov"];
			$link = $row["link"];
			$new_win = $row["new_win"];
			$thumb_ime = $row["thumb_ime"];
			$thumb_sirina = $row["thumb_sirina"];
			$thumb_visina = $row["thumb_visina"];
			$big_ime = $row["big_ime"];
			$tekst_novi .= '<div class="tekst">';
			$tekst_novi .= display_sliku('slika_lijevo_gore',$link,$new_win,$link,$big_ime,$putanja_slike,$thumb_ime,$thumb_sirina,$thumb_visina,$naslov);
			$tekst_novi .= $tekst;
			$tekst_novi .= '</div>'."\n";
			$tekst_novi .= '<div style="clear:both;"></div>'."\n";
			
			$cur = 0;
			$num--;
			
			
			$tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n";
            while ($num > $cur) {
				$row = mysql_fetch_array($rez);
				$naslov = $row["naslov"];
				$link = $row["link"];
				$new_win = $row["new_win"];
				$thumb_ime = $row["thumb_ime"];
				$thumb_sirina = $row["thumb_sirina"];
				$thumb_visina = $row["thumb_visina"];
				$big_ime = $row["big_ime"];
				
				if ($maxpic>1) {				
					if ($cur%$maxpic==0 && $cur!=0) $tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n";
				} else {
					if ($cur!=0) $tekst_novi .= '<tr>'."\n";
				}
				$tekst_novi .= '<td>'."\n";
				$tekst_novi .= display_sliku('slika_dolje',$link,$new_win,$link,$big_ime,$putanja_slike,$thumb_ime,$thumb_sirina,$thumb_visina,$naslov);
				$tekst_novi .= '</td>'."\n";
				//kraj
				if ($maxpic>1) {
					$brojac=$cur+1;
					if ($brojac%$maxpic==0) $tekst_novi .= '</tr></table>'."\n";
				} else {
					if ($cur+1<$num) $tekst_novi .= '</tr>'."\n";
				}				
				$cur++;				
			}
			//ako nije zatvorena tablica
			if ($maxpic>1) {
				if ($cur%$maxpic!=0 || $cur==0) $tekst_novi .= '</tr></table>'."\n";
			} else {
				$tekst_novi .= '</tr></table>'."\n";
			}
		break;
		default://Slika desno u tekstu i dolje
			//prva slika
			$row = mysql_fetch_array($rez);
			$naslov = $row["naslov"];
			$link = $row["link"];
			$new_win = $row["new_win"];
			$thumb_ime = $row["thumb_ime"];
			$thumb_sirina = $row["thumb_sirina"];
			$thumb_visina = $row["thumb_visina"];
			$big_ime = $row["big_ime"];
			$tekst_novi .= '<div class="tekst">';
			$tekst_novi .= display_sliku('slika_desno_gore',$link,$new_win,$link,$big_ime,$putanja_slike,$thumb_ime,$thumb_sirina,$thumb_visina,$naslov);
			$tekst_novi .= $tekst;
			$tekst_novi .= '</div>'."\n";
			$tekst_novi .= '<div style="clear:both;"></div>'."\n";
			
			$cur = 0;
			$tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n";
			$num--;
            while ($num > $cur) {
				$row = mysql_fetch_array($rez);
				$naslov = $row["naslov"];
				$link = $row["link"];
				$new_win = $row["new_win"];
				$thumb_ime = $row["thumb_ime"];
				$thumb_sirina = $row["thumb_sirina"];
				$thumb_visina = $row["thumb_visina"];
				$big_ime = $row["big_ime"];
				
				if ($maxpic>1) {				
					if ($cur%$maxpic==0 && $cur!=0) $tekst_novi .= '<table cellpadding="0" cellspacing="0" width="100%" border="0"><tr>'."\n";
				} else {
					if ($cur!=0) $tekst_novi .= '<tr>'."\n";
				}
				$tekst_novi .= '<td>'."\n";
				$tekst_novi .= display_sliku('slika_dolje',$link,$new_win,$link,$big_ime,$putanja_slike,$thumb_ime,$thumb_sirina,$thumb_visina,$naslov);
				$tekst_novi .= '</td>'."\n";
				//kraj
				if ($maxpic>1) {
					$brojac=$cur+1;
					if ($brojac%$maxpic==0 || $cur==0) $tekst_novi .= '</tr></table>'."\n";
				} else {
					if ($cur+1<$num) $tekst_novi .= '</tr>'."\n";
				}				
				$cur++;				
			}
			//ako nije zatvorena tablica
			//ako nije zatvorena tablica
			if ($maxpic>1) {
				if ($cur%$maxpic!=0 || $cur==0) $tekst_novi .= '</tr></table>'."\n";
			} else {
				$tekst_novi .= '</tr></table>'."\n";
			}			
		break;
		}
	} else {
		$tekst_novi .= '<div class="tekst">' . $tekst . '</div>' . "\n";
	}
	$tekst_novi .= '</div>'."\n";

    

    // zapisivanje tekstualnog fajla
    $file2open = $putanja_file . $fajl;
    if (!$listfile = fopen($file2open, 'w'))
    {
        echo 'dogodila se gre&#353;ka prilikom zapisivanja teksta u fajl.';
    } else
    {
        fwrite($listfile, $tekst_novi);
        if (!fclose($listfile))
        {
            echo 'dogodila se gre&#353;ka prilikom zapisivanja teksta u fajl.';
        }
    }

}

?>
